; vm-init.el -- minimal preparation for vm

; autoload vm functions

(autoload 'vm "vm" "Start VM on your primary inbox." t)
(autoload 'vm-other-frame "vm" "Like `vm' but starts in another frame." t)
(autoload 'vm-visit-folder "vm" "Start VM on an arbitrary folder." t)
(autoload 'vm-visit-virtual-folder "vm" "Visit a VM virtual folder." t)
(autoload 'vm-mode "vm" "Run VM major mode on a buffer" t)
(autoload 'vm-mail "vm" "Send a mail message using VM." t)
(autoload 'vm-submit-bug-report "vm" "Send a bug report about VM." t)

; make mime a doable thing. these are the programs to allow mime to
; happen but you will still want to set some other variables to suit
; your preferences, see the vm manual for details.

(setq vm-mime-base64-encoder-program "base64-encode")
(setq vm-mime-base64-decoder-program "base64-decode")
(setq vm-mime-qp-encoder-program "qp-encode")
(setq vm-mime-qp-decoder-program "qp-decode")

; for authentication to a pop server

(setq vm-pop-md5-program "md5")

(provide 'vm-init)

					; vm-init.el ends here.
